Bug 815601 - csprocessor status is misleading
csprocessor status is misleading
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
Depends On:
  Show dependency treegraph
Reported: 2012-04-23 23:07 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.23.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-06 21:30:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-04-23 23:07:16 EDT
After performing extensive edits to my local content spec, csprocessor status tells me:

"The local copy of the Content Specification is up to date."

I'm expecting it to inform me: "You have unsaved local changes".

OS: Fedora release 15 (Lovelock)

JAVA: java version "1.7.0_01"
Java(TM) SE Runtime Environment (build 1.7.0_01-b08)
Java HotSpot(TM) 64-Bit Server VM (build 21.1-b02, mixed mode)
Comment 1 Lee Newson 2012-04-24 00:04:12 EDT
Confirmed. The issue is that the local copy is only checked for it's checksum value then compared to the server copy. The checksum from the local copy should be calculated from it's content.
Comment 2 Lee Newson 2012-04-29 18:55:47 EDT
Added in 0.23.3

This is actually an addition because the original feature request just asked to see if the server copy had been changed so that you knew if you had to do a pull to get the latest content.

Now you will get the error:

"The local copy of the Content Specification is out of date. Please use "csprocessor pull" to download the latest copy."

If the server copy has been updated in comparison to the local copy (this is how the command currently works). If the local copy has been updated and still matches the servers checksum then you will get the following error message:

"The local copy of the Content Specification has been updated and is out of sync with the server. Please use "csprocessor push" to update the server copy."
Comment 3 Joshua Wulf 2012-04-30 21:02:50 EDT

What about case 3:

"You have unsaved changes in your local content spec, but the server copy has been modified since you last synchronised. Use "csprocessor pull" to update your local copy. Your unsaved local changes will be saved as <filename>.backup."
Comment 4 Lee Newson 2012-05-09 23:24:19 EDT
Added in 0.23.3 as well.

The output for the third case is: 

ERROR: The local copy and server copy of the Content Specification has been updated. Please use \"csprocessor pull\" to update your local copy. Your unsaved local changes will be saved as Development_Guide-post.backup.
Comment 5 Lee Newson 2013-06-06 21:30:52 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.